Subject: Re: [PATCH 1/3] e1000: fix shared interrupt warning message

From: Auke Kok <[email-masked]>
Date: Sat, 17 Feb 2007 18:20:33 -0800

Francois Romieu wrote:
> Auke Kok <[email-masked]> :
> [...]
>> It is suspected that workarounds in the _up() routine of e1000 can cause 
>         ^^^^^^^^^
>> the receive unit to be enabled before we're all done initializing the 
>> adapter data. An interrupt arriving before we're all done setting up 
>> obviously causes problems. To fix, we postpone enabling interrupts 
>> completely until the software intialization is finished.
> 
> Call me dense but is there a chance that the same receive unit that should
> not be enabled now emits interrupts between e1000_up() and request_irq() ?

turning on the receive unit starts the rx logic on the mac, but doesn't make the 
mac generate interrupts as far as I know. The fix was verified and even 
suggested earlier by some people as well.

Cheers,

Auke